Instantiate Classifier Template
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/classifier_templates/{template_id}/instantiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"params": {},
"templateVersion": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/classifier_templates/{template_id}/instantiate"
payload = {
"displayName": "<string>",
"params": {},
"templateVersion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>', params: {}, templateVersion: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/classifier_templates/{template_id}/instantiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"classifier": {
"displayName": "<string>",
"applicableType": "CLASSIFIER_TYPE_UNSPECIFIED",
"createdAt": "2023-11-07T05:31:56Z",
"defaultDenyReason": "<string>",
"defaultOutcome": "AGENT_CLASSIFIER_RULE_OUTCOME_UNSPECIFIED",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"managedBy": "MANAGED_BY_UNSPECIFIED",
"rules": [
{
"displayName": "<string>",
"action": "AGENT_CLASSIFIER_RULE_ACTION_UNSPECIFIED",
"celCondition": "<string>",
"denyReason": "<string>",
"description": "<string>",
"id": "<string>",
"mode": "AGENT_CLASSIFIER_RULE_MODE_UNSPECIFIED",
"outcome": "AGENT_CLASSIFIER_RULE_OUTCOME_UNSPECIFIED",
"postHookIds": [
"<string>"
],
"preHookIds": [
"<string>"
],
"preOutputHookIds": [
"<string>"
],
"sourceTemplateId": "<string>",
"systemManaged": true,
"toolGateIds": [
"<string>"
]
}
],
"templateRef": {
"templateId": "<string>",
"version": "<string>"
},
"tenantId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Classifier Templates
Instantiate Classifier Template
Instantiate creates a tenant-owned, editable classifier from a template revision. It binds supplied tenant parameters, resolves required tool gates and hooks, rewrites their references, and records the source template.
POST
/
api
/
v1
/
classifier_templates
/
{template_id}
/
instantiate
Instantiate Classifier Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The templateId field.
Body
application/json
The InstantiateClassifierTemplateRequest message.
Response
200 - application/json
Successful response
The InstantiateClassifierTemplateResponse message.
Classifier is a named, reusable rule cascade.
Show child attributes
Show child attributes
Was this page helpful?